Last modified: 2014-11-19 11:55:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38607 - Error in getCreateTempIDTableSQL during PostgreSQL upgrade
Error in getCreateTempIDTableSQL during PostgreSQL upgrade
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Semantic MediaWiki (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2012-07-23 19:36 UTC by Michael Allan
Modified: 2014-11-19 11:55 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
workaround patch (2.97 KB, patch)
2012-07-23 19:36 UTC, Michael Allan
Details

Description Michael Allan 2012-07-23 19:36:25 UTC
Created attachment 10875 [details]
workaround patch

Upgrading to 1.7.1, SMW_refreshData.php dies on a PostgreSQL syntax error:

   PHP Warning:  pg_query(): Query failed: ERROR:  syntax error at or near ""t0""
   LINE 1: ...teQueries 127.0.0.1 */ OR REPLACE FUNCTION create_"t0"() RET...

John Morton reported this earlier to the list along with a workaround: http://sourceforge.net/mailarchive/forum.php?thread_name=CAMhmagAUSe7wAXTw5HVX1eiOfvk4yfQgVxMizyFPQqsTaVC8JA%40mail.gmail.com&forum_name=semediawiki-devel

I did something similar and it got me through the upgrade.  I attached it as a patch.
Comment 1 Hajo Thelen 2013-01-11 10:22:18 UTC
seems to be related or duplicate Bug 34855

https://bugzilla.wikimedia.org/show_bug.cgi?id=34855
Comment 2 MWJames 2014-11-19 11:55:33 UTC
Expected to be solved by [0].

[0] https://github.com/SemanticMediaWiki/SemanticMediaWiki/pull/638

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links